Package org.eclipse.graphiti.ui.internal.parts

# Class ConnectionEditPart

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart
org.eclipse.gef.editparts.AbstractConnectionEditPart
org.eclipse.graphiti.ui.platform.GraphitiConnectionEditPart
org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.ConnectionEditPart`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.LayerConstants`, `org.eclipse.gef.NodeEditPart`, `org.eclipse.gef.RequestConstants`, `IFeatureProviderHolder`, `IConfigurationProviderHolder`, `IAnchorContainerEditPart`, `IConnectionEditPart`, `IPictogramElementEditPart`

Direct Known Subclasses:
  `CompositeConnectionEditPart`, `CurvedConnectionEditPart`, `FreeFormConnectionEditPart`, `ManhattanConnectionEditPart`

public abstract class ConnectionEditPart extends GraphitiConnectionEditPart implements IConnectionEditPart, org.eclipse.gef.NodeEditPart
A ConnectionEditPart, which model is of the type Connection.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`org.eclipse.gef.editparts.AbstractConnectionEditPart.DefaultAccessibleAnchorProvider`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

## Field Summary

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionEditPart(IConfigurationProviderInternal configurationProvider, Connection connection, org.eclipse.gef.EditPart contextParent)`
Creates a new ConnectionEditPart.

## Method Summary

Modifier and Type
Method
Description
`void`
`activate()`
Adds this EditPart as an AnchorListener on activation.
`protected void`
`createEditPolicies()`
`protected org.eclipse.draw2d.IFigure`
`createFigure()`
`void`
`deactivate()`
Removes this EditPart as an AnchorListener on deactivation.
`void`
`forceVisualRefresh()`
`Object`
`getAdapter(Class key)`
`IConfigurationProviderInternal`
`getConfigurationProvider()`
Gets the configuration provider.
`protected Connection`
`getConnection()`
Gets the connection.
`IFeatureProvider`
`getFeatureProvider()`
Gets the feature provider.
`List<PictogramElement>`
`getModelChildren()`
Gets the model children.
`List<Connection>`
`getModelSourceConnections()`
Gets the model source connections.
`List<Connection>`
`getModelTargetConnections()`
Gets the model target connections.
`PictogramElement`
`getPictogramElement()`
Returns the `PictogramElement` (the model object) that this `EditPart` represents.
`IPictogramElementDelegate`
`getPictogramElementDelegate()`
Gets the pictogram element delegate.
`org.eclipse.draw2d.ConnectionAnchor`
`getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor`
`getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`org.eclipse.draw2d.ConnectionAnchor`
`getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor`
`getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`org.eclipse.gef.EditPart`
`getTargetEditPart(org.eclipse.gef.Request request)`
`void`
`performRequest(org.eclipse.gef.Request request)`
This method tries to perform a direct-editing with the given request (see getLabels()).
`void`
`refreshDecorators()`
`protected void`
`refreshVisuals()`
This method is called, whenever the data of the underlying ModelObject changes.
`String`
`toString()`

### Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`activateFigure, addNotify, deactivateFigure, getConnectionFigure, getDragTracker, getSource, getSourceConnectionAnchor, getTarget, getTargetConnectionAnchor, refresh, refreshSourceAnchor, refreshTargetAnchor, removeNotify, setParent, setSource, setTarget`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getChildren, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getCommand, getEditPolicy, getEditPolicyIterable, getEditPolicyIterator, getEventListeners, getEventListenersIterable, getFlag, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getChildren, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

## Constructor Details

### ConnectionEditPart

public ConnectionEditPart(IConfigurationProviderInternal configurationProvider, Connection connection, org.eclipse.gef.EditPart contextParent)
Creates a new ConnectionEditPart.

Parameters:
  `configurationProvider` - the configuration provider
  `connection` - the connection

## Method Details

### activate

public void activate()
Adds this EditPart as an AnchorListener on activation.

Specified by:
  `activate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### createEditPolicies

protected void createEditPolicies()

Specified by:
  `createEditPolicies` in class `org.eclipse.gef.editparts.AbstractEditPart`

### createFigure

protected org.eclipse.draw2d.IFigure createFigure()

Overrides:
  `createFigure` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

### deactivate

public void deactivate()
Removes this EditPart as an AnchorListener on deactivation.

Specified by:
  `deactivate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getConfigurationProvider

public IConfigurationProviderInternal getConfigurationProvider()
Gets the configuration provider.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal of this EditPart

### getConnection

protected Connection getConnection()
Gets the connection.

Returns:
  the connection

### getPictogramElement

public PictogramElement getPictogramElement()
Description copied from class: `GraphitiConnectionEditPart`
Returns the `PictogramElement` (the model object) that this `EditPart` represents.

Specified by:
  `getPictogramElement` in interface `IPictogramElementEditPart`
Specified by:
  `getPictogramElement` in class `GraphitiConnectionEditPart`
Returns:
  the `PictogramElement`

### refreshVisuals

protected void refreshVisuals()
This method is called, whenever the data of the underlying ModelObject changes. It must update the figures to display the changed data. Sub-classes will nearly always overwrite this method.

By default this method takes care to update the labels of the attributes (if existing) and to update the arrows at the connection-endpoints, so sub-classes should call super.refreshVisuals().

Overrides:
  `refreshVisuals` in class `org.eclipse.gef.editparts.AbstractEditPart`
See Also:
  - `AbstractEditPart.refreshVisuals()`

### getModelChildren

public List<PictogramElement> getModelChildren()
Description copied from interface: `IPictogramElementEditPart`
Gets the model children.

Specified by:
  `getModelChildren` in interface `IPictogramElementEditPart`
Overrides:
  `getModelChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`
Returns:
  the model children

### getModelSourceConnections

public List<Connection> getModelSourceConnections()
Description copied from interface: `IPictogramElementEditPart`
Gets the model source connections.

Specified by:
  `getModelSourceConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelSourceConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model source connections

### getModelTargetConnections

public List<Connection> getModelTargetConnections()
Description copied from interface: `IPictogramElementEditPart`
Gets the model target connections.

Specified by:
  `getModelTargetConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelTargetConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model target connections

### getTargetEditPart

public org.eclipse.gef.EditPart getTargetEditPart(org.eclipse.gef.Request request)

Specified by:
  `getTargetEditPart` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getTargetEditPart` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getAdapter

public Object getAdapter(Class key)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

### getFeatureProvider

public IFeatureProvider getFeatureProvider()
Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider

### getPictogramElementDelegate

public IPictogramElementDelegate getPictogramElementDelegate()
Description copied from interface: `IPictogramElementEditPart`
Gets the pictogram element delegate.

Specified by:
  `getPictogramElementDelegate` in interface `IPictogramElementEditPart`
Returns:
  the pictogram element delegate

### forceVisualRefresh

public void forceVisualRefresh()

Specified by:
  `forceVisualRefresh` in interface `IConnectionEditPart`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getSourceConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getSourceConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### performRequest

public void performRequest(org.eclipse.gef.Request request)
This method tries to perform a direct-editing with the given request (see getLabels()). Additionaly it tries to forward certain requests to this EditPart (e.g. RequestConstants.REQ_OPEN). If this is not possbile, it forwards the request to super.performRequest(request).

Specified by:
  `performRequest` in interface `org.eclipse.gef.EditPart`
Overrides:
  `performRequest` in class `org.eclipse.gef.editparts.AbstractEditPart`
Parameters:
  `request` - the request
See Also:
  - `EditPart.performRequest(Request)`

### refreshDecorators

public void refreshDecorators()

Specified by:
  `refreshDecorators` in interface `IAnchorContainerEditPart`